// Driver.java

import java.io.*;
import javax.sound.midi.*;

/**
	R\[Event List Viewer̃CNX

	@version	0.01 10/29/2000
	@author		Takahiro Shigemoto
*/
public class Driver
{
	public static void main(String args[])
	{
		try
		{
			File midi_file = new File(args[0]);
			PrintWriter writer = new PrintWriter(new OutputStreamWriter(System.out));

			Sequence sequence = MidiSystem.getSequence(midi_file);
			Track[] tracks = sequence.getTracks();

			for(int i=0; i<tracks.length; i++)
			{
				new TrackDumper(tracks[i], i).dump(writer);
			}

			writer.close();
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
	}
}